﻿using Hi.Geom;
using Hi.Mech.Topo;
using Hi.NcMech.Xyzabc;
using Hi.Numerical.Xyzabc;

namespace Sample.MachineTool
{
    /// <summary>
    /// Demo Build Machine Tool without gemetries setting.
    /// </summary>
    /// <remarks>
    /// ### Source Code
    /// [!code-csharp[SampleCode](~/../Hi.Sample/MachineTool/DemoBuildMachineToolWithoutGeometrys.cs)]
    /// </remarks>    
    public static class DemoBuildMachineToolWithoutGeometrys
    {
        /// <summary>
        /// Generates an empty machine tool with basic configuration.
        /// </summary>
        /// <returns>A configured but empty machine tool without solids.</returns>
        public static CodeXyzabcMachineTool GenEmptyMachineTool()
        {
            CodeXyzabcChain chain = new CodeXyzabcChain("[O][C][w];[O][X][Y][Z][B][S][t]");
            if (chain.ToolBuckleTransformer is StaticTranslation st)
                st.Trans = new Vec3d(-200, 200, 400);
            CodeXyzabcMachineTool xyzabcMachineTool = new CodeXyzabcMachineTool(chain);
            return xyzabcMachineTool;
        }
    }
}
